import pandas as pd
from sqlalchemy import create_engine

def get_engine(user, password, host, database, port=3306):
    return create_engine(f'mysql+pymysql://{user}:{password}@{host}:{port}/{database}')

def query_to_dataframe(query, engine):
    with engine.connect() as connection:
        return pd.read_sql_query(query, connection, coerce_float=False)